<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>
        <service servicelist='opennebula-flow'>opennebula-flow</service>
        <file filelist='oneflow' name='/etc/one/oneflow-server.conf' rm='True'/>
        <!--service_access service='oneflow'>
            <port port_type="SymLinkOption">port_oneflow</port>
        </service_access-->
        <service_restriction service='oneflow'>
            <ip interface='eth0' netmask='netmask_ssh_eth0' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_ssh_eth0</ip>
        </service_restriction>
    </files>
    <variables>
        <family name='services'>
            <variable name='activer_oneflow' type='oui/non' description="Activer le service OpenNebula Flow" mode='expert'>
                <value>non</value>
            </variable>
        </family>
        <family name='OpenNebula Flow' icon='cloud' mode='expert'>
            <variable name='ip_oneflow' type='ip' description="Adresse IP d'écoute du service OpenNebula Flow">
                <value>127.0.0.1</value>
            </variable>
            <variable name='port_oneflow' type='number' description="Numéro de port d'écoute du service OpenNebula Flow">
                <value>2474</value>
            </variable>
        </family>
    </variables>

    <constraints>
        <condition name='disabled_if_in' source='activer_oneflow'>
            <param>non</param>
            <target type='servicelist'>opennebula-flow</target>
            <target type='filelist'>oneflow</target>
            <target type='family'>OpenNebula Flow</target>
        </condition>
    </constraints>
    <help>
        <family name='OpenNebula Flow'>Configuration du service de gestion des dépendances entre machines virtuelles</family>
        <variable name='activer_oneflow'>OpenNebula Flow permet de gérer les dépendances entre machines virtuelles</variable>
    </help>
</creole>
